Skip to main content
GET
List active alert channels for the authenticated org

Authorizations

Authorization
string
header
required

API key (dh_live_...) or Auth0 JWT token

Headers

X-DevHelm-Client
string

Calling surface and version, e.g. cli/1.4.0 or sdk-js/2.0.0

Query Parameters

type
enum<string>

Filter by channel integration type (e.g. SLACK, WEBHOOK, EMAIL)

Available options:
email,
webhook,
slack,
pagerduty,
opsgenie,
teams,
discord,
telegram,
google_chat,
pushover,
mattermost,
splunk_oncall,
pushbullet,
linear,
incident_io,
rootly,
zapier,
datadog,
jira,
gitlab,
sms,
phone_call
managedBy
enum<string>

Filter by managed-by source (DASHBOARD, GIT, TERRAFORM, MCP, API; CLI = GIT until 2027-01-31)

Available options:
DASHBOARD,
CLI,
TERRAFORM,
MCP,
API,
GIT

Case-insensitive contains-match on the channel name

page
integer
default:0

Zero-based page index (0..N)

Required range: x >= 0
size
integer
default:50

The size of the page to be returned

Required range: x >= 1
sort
string[]

Sorting criteria in the format: property,(asc|desc). Default sort order is ascending. Multiple sort criteria are supported.

Response

OK

data
object[]
required
hasNext
boolean
required
hasPrev
boolean
required
totalElements
integer<int64> | null
totalPages
integer<int32> | null